/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

@import 'colors.css';

#navbarSupportedContent {
    margin-left: 2rem;
}

    #navbarSupportedContent > ul > li > a:hover {
        color: var(--bitoreq-green-light) !important;
    }

#loginButton {
    border: 1px solid white !important;
    background-color: var(--bitoreq-green-dark) !important;
}

    #loginButton:hover {
        background-color: var(--bitoreq-green) !important;
        color: white !important;
    }

#navbarTicketDropdown {
    color: white !important;
}

    #navbarTicketDropdown:hover {
        color: var(--bitoreq-green-light) !important;
    }

.saved-documents {
    font-size: 0.8rem;
    display: grid;
    list-style-position: inside;
}

a .vg-danger {
    color: red;
}

    a .vg-danger:hover {
        color: black;
    }

button .vg-danger {
    color: red;
}

    button .vg-danger:hover {
        color: black;
    }

button .vg-primary {
    color: var(--bitoreq-green);
}

    button .vg-primary:hover {
        color: black;
    }

.projects {
    max-height: 135px;
}

.contacts {
    max-height: 235px;
}

    .response-type > label:hover,
    .contacts > label:hover,
    .projects > label:hover {
        background: #e9ecef;
    }

    .response-type > label,
    .contacts > label:not(.disabledCCSelect),
    .projects > label {
        user-select: none;
        cursor: pointer;
    }

    .contacts .disabledCCSelect {
        user-select: none;
        cursor: help;
    }


    .response-type input[type=checkbox],
    .contacts input[type=checkbox],
    .projects input[type=checkbox] {
        -ms-transform: scale(1.5); /* IE */
        -moz-transform: scale(1.5); /* FF */
        -webkit-transform: scale(1.5); /* Safari and Chrome */
        -o-transform: scale(1.5); /* Opera */
        margin-right: 10px;
    }

.center-select {
    text-align: center;
    text-align-last: center;
    -moz-text-align-last: center;
}

a.navbar-brand {
    font-size: xx-large;
    padding-left: 1rem;
}

nav {
    background-color: var(--bitoreq-green-dark);
}

.nav-item:not(.active) > a {
    color: white !important;
}

.nav-item.active > a {
    font-weight: bolder;
}

hr {
    border: none;
    height: 1px;
    /* Set the hr color */
    color: #333; /* old IE */
    background-color: #333; /* Modern Browsers */
    margin-bottom: 20px;
    margin-top: 0;
}

table thead th a {
    color: var(--bitoreq-green-dark);
}

    table thead th a:hover {
        color: black;
    }

.text-bitoreq-green-x {
    color: var(--bitoreq-green-dark);
}

.bg-bitoreq-green-x {
    background-color: var(--bitoreq-green-dark);
}

.bg-bitoreq-grey-iv {
    background-color: var(--bitoreq-grey-iv) !important;
}

.bg-bitoreq-turquoise {
    background-color: var(--bitoreq-turquoise) !important;
}

.bg-bitoreq-grey-ii {
    background-color: var(--bitoreq-grey-ii);
}

.bg-bitoreq-ocean {
    background-color: var(--bitoreq-green);
}

.text-bitoreq-green {
    color: var(--bitoreq-green);
}

.border-3 {
    border-width: 3px !important;
}

.awesome {
    /*font-family: 'FontAwesome', Verdana;*/
}

.filledWithBorder {
    -webkit-text-stroke-width: 2px;
    -webkit-text-stroke-color: black;
}

.thick-border-left {
    border-left-width: thick !important;
    border-left-color: black !important;
}

.internal-comment-bg-color {
    background-color: whitesmoke;
}

.loginTitle {
    color: white !important;
}

button.btn,
a.btn {
    border: 1px solid white !important;
}

.dropdown-menu.active {
    color: var(--bitoreq-green-dark) !important;
}

.dropdown-item:active:focus,
.btn-primary:active:focus,
.btn-primary {
    color: #fff !important;
    background-color: var(--bitoreq-green-light) !important;
    box-shadow: none !important;
    width: auto !important;
}

h1, h2, h3, h5, h6 {
    /*margin-top: 1rem !important;*/
    font-weight: bold !important;
    color: var(--bitoreq-green-dark) !important;
}

.btn-primary:hover:not([disabled]),
.btn-primary:focus {
    color: var(--bitoreq-green-dark) !important;
    background-color: #fff !important;
    border: 1px solid var(--bitoreq-green-light) !important;
    box-shadow: none !important;
    width: auto !important;
}


.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-family: montserrat !important;
    position: relative;
    min-height: 100%;
}


main {
    /* Margin bottom by footer height, //I put a <p class="divider"> under the main to solve this and changed from body to main. The footer is inside of the body so putting the margin on the body did nothing good.  */
    margin-top: 30px;
    margin-bottom: 7rem;
    /*width: 95vw;*/
    /*align-content: center;5*/
    margin: auto;
}

.tableWrapper {
    min-width: 95%;
    margin-top: 20px;
    background: var(--bitoreq-grey-iv);
    color: var(--bitoreq-green-dark) !important;
    border-radius: 8px;
    padding: 1rem;
    margin: 1rem;
    width: fit-content;
}

#ticketTable,
.table {
    border-radius: 10px !important;
    color: var(--bitoreq-green-dark) !important;
    table-layout: fixed !important;
    /*min-width: min-content !important;*/
    width: 100% !important;
    /*max-width: 97vw !important;*/
    border-radius: 10px !important;
}

.loginForm {
    background-color: var(--bitoreq-green-light) !important;
    border-radius: 10px;
    padding: 1rem;
    /*width: 40rem !important;*/
    max-width: 50%;
    margin: auto;
    color: white;
}

#forgot-password {
    color: white !important;
    text-decoration: underline !important;
}

.custom-error-message {
    color: whitesmoke;
    font-size: 14px;
}

#forgot-password:hover {
    color: white !important;
    text-decoration: none !important;
}


footer.footer {
    position: fixed;
    bottom: 0;
    width: 100%;
    background-color: var(--bitoreq-green-dark);
    color: white;
    padding: 10px 0; /* Adjust padding as needed */
}

    footer.footer a {
        color: white;
    }

        footer.footer a:hover {
            text-decoration: none;
        }

/* Media query for screen width larger than 700px */
@media (min-width: 700px) {
    footer.footer {
        line-height: 40px; /* Decrease line-height for a thinner footer */
        padding: 0px;
    }

        footer.footer > div {
            font-size: 14px; /* Decrease font size for the text */
        }
}

.crossedduedate {
    background-color: red;
    color: black;
    font-weight: bold;
}

a#profile, a#change-password, a#profile.active, a#change-password.active {
    margin: 0.5rem;
    position: initial;
    display: grid;
}

a#profile, a#change-password {
    /*width: 12rem;*/
    color: white !important;
    background-color: var(--bitoreq-green-dark) !important;
}

    a#profile.active, a#change-password.active {
        background-color: var(--bitoreq-green-light) !important;
        box-shadow: var(--bitoreq-green-dark) 2px 2px 4px 1px;
    }

    a#profile:hover, a#change-password:hover {
        background-color: var(--bitoreq-green-light) !important;
    }

.container.accountManagement {
    margin-top: 0.5vh;
    margin-bottom: 1vmin;
    overflow-y: hidden;
    overflow-x: hidden;
    background-color: var(--bitoreq-grey-iv);
    padding: 2rem;
    border-radius: 10px;
    display: inline-block;
    width: 100vw;
}

#manageContent {
    position: relative;
    width: 40rem;
    background-color: var(--bitoreq-green-dark);
    color: white;
    padding: 1.5rem;
    border-radius: 10px;
}

.hidden {
    display: none;
}

#deletemsg {
    background-color: #f38377;
    text-align: center;
    font-weight: bold;
    height: 40px
}

.custom-file-input ~ .custom-file-label::after {
    content: attr(data-label);
}

.required:after {
    content: " *";
    color: #f00;
}

/*paging css*/
/*body {
    font-family: Arial;
    font-size: 10pt;
}*/
.GridPager a, .GridPager span {
    display: block;
    height: 25px;
    width: 25px;
    font-weight: bold;
    text-align: center;
    text-decoration: none;
}

.GridPager a {
    background-color: #f5f5f5;
    color: #969696;
    border: 1px solid #969696;
}

.GridPager span {
    background-color: #A1DCF2;
    color: #000;
    border: 1px solid #3AC0F2;
}

.TicketIndexTitle {
    overflow: hidden;
    max-height: 90px;
    overflow-wrap: anywhere;
}

.TicketIndexProjectName {
    overflow: hidden;
    max-height: 90px;
    overflow-wrap: break-word;
}

.TicketIndexCompanyName {
    overflow: hidden;
    max-height: 90px;
    overflow-wrap: break-word;
}

.TicketIndexUserEmail {
    overflow: hidden;
    max-height: 90px;
    overflow-wrap: break-word;
}

h1.TicketDetailsHeader {
    overflow-wrap: anywhere;
}

.TicketBeskrivning {
    overflow: auto;
    max-height: 200px;
    /*    overflow-wrap: anywhere;*/
}

div.CommentsPartial {
    max-height: 55vh;
    overflow: auto;
}

.redborder {
    border: 1px solid red !important;
}

/* Tooltip container */
.tooltip {
    position: relative;
    margin-bottom: 1rem !important;
    width: auto !important;
    display: inline-block;
    /*border-bottom: 1px dotted black;*/ /* If you want dots under the hoverable text */
    opacity: 1; /*Needed becouse something tries to set the opacity to 0 */
    float: right;
}

.tooltip-inner {
    width: auto !important;
    max-width: 100% !important;
    background-color: var(--bitoreq-green-dark) !important;
}

/* Tooltip text */
.tooltip .tooltiptext {
    visibility: hidden;
    width: fit-content !important;
    background-color: white;
    color: #fff;
    text-align: left;
    padding: 0.5em 0.5em;
    border-radius: 6px;
    margin: 5px;
    /*Position the tooltip text - see examples below!*/
    position: absolute;
    z-index: 1;
    border: 1px dotted black;
}

/* Show the tooltip text when you mouse over the tooltip container */
.tooltip:hover .tooltiptext {
    visibility: visible;
}

.tooltiptext.indentText {
    padding-left: 2.5em;
    text-indent: -2em;
}

.loading {
}

    .loading:after {
        content: "Sparar...";
        text-align: right;
        padding-left: 25px;
    }

.tooltip-inner {
    white-space: pre;
    max-width: none;
    text-align: left;
    /*background-color: var(--bitoreq-green-dark);*/
    box-shadow: 0px 0px 4px black !important;
    opacity: 1 !important;
}


.tooltip.bs-tooltip-right .tooltip-arrow::before {
    border-right-color: var(--bitoreq-green-dark) !important;
}

.tooltip.bs-tooltip-left .tooltip-arrow::before {
    border-left-color: var(--bitoreq-green-dark) !important;
}

.tooltip.bs-tooltip-bottom .tooltip-arrow::before {
    border-bottom-color: var(--bitoreq-green-dark) !important;
}

.tooltip.bs-tooltip-top .tooltip-arrow::before {
    border-top-color: var(--bitoreq-green-dark) !important;
}

#TMSLockout.Lockout {
    background-color: var(--bitoreq-green);
    color: white;
    text-align: center;
    font-weight: bold;
    max-height: 80%;
    height: 10rem;
    overflow: auto;
    border-radius: 10px;
    border: 1px solid black;
    font-size: 1.5rem;
    text-align: initial;
    padding: 1.5rem;
    margin: 2rem;
}

.past-due {
    color: red !important;
    font-weight: bold;
}

a.past-due {
    color: red !important;
    font-weight: bold;
    text-decoration: none;
}

.non-selectable-label {
    user-select: none;
    -moz-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
}

.btq-container {
    margin: 0 !important;
    max-width: 100% !important;
    width: 100% !important;
}

.divider {
    margin-top: 5rem;
}

#Comment_CommentText {
    margin-bottom: 0.5rem;
}

div.form-group {
    margin-bottom: 0.5rem;
    margin-top: 0.5rem;
}

.btn {
    border: none !important;
}

.maintenanceInformationText {
    color: white !important;
    font-weight: 400;
}

.custom-checkbox {
    display: inline-block;
    width: 20px; /* Set the desired width for the checkbox */
    height: 20px; /* Set the desired height for the checkbox */
    position: relative;
    vertical-align: middle;
}

    .custom-checkbox input {
        transform: scale(1.5); /* Scale the checkbox to make it larger */
    }

        .custom-checkbox input[type="checkbox"] {
            border: 2px solid grey; /* Set the border color to black */
        }

            .custom-checkbox input[type="checkbox"]:checked {
                border-color: grey; /* Set the border color for checked state */
            }

a#manageIdentity,
a#logoutIdentity,
button#manageIdentity,
button#logoutIdentity {
    width: 100% !important;
}

    a#logoutIdentity:hover,
    a#manageIdentity:hover,
    button#manageIdentity:hover,
    button#logoutIdentity:hover {
        width: 100% !important;
    }
